import os.path

from totallywired.utils.paths import is_cdda_path


class ClientSideCollection(object):

    def __init__(self, _dict):
        self.from_dict(_dict)
        return

    def from_dict(self, _dict):
        self.source = str(_dict["Source"])
        self.xpath = str(_dict["Xpath"])
        self.state = str(_dict["State"])
        self.progress = float(_dict["Progress"])
        self.title = str(_dict["Title"])
        self.icon = str(_dict["Icon"])
        self.icon_source = str(_dict["IconSource"])
        self.doccount = int(_dict["Doccount"])
        self.is_cdda = is_cdda_path(self.source)
        self.removable = (
            not self.source.startswith(os.path.expanduser("~")) or
            self.is_cdda)
        return

    @property
    def working(self):
        return self.progress != -1

    @property
    def live(self):
        return "ready" in self.state

    @property
    def hidden(self):
        return "hidden" in self.state

    @property
    def live_sorter(self):
        return "ready" in self.state and "a" or "b"


class ClientSideCddaCollection(ClientSideCollection):

    def __init__(self, _dict):
        ClientSideCollection.__init__(self, _dict)
        return

    def from_dict(self, _dict):
        ClientSideCollection.from_dict(self, _dict)

        self.artist = unicode(_dict["Artist"])
        self.album = unicode(_dict["Album"])
        self.date = unicode(_dict["Date"])
        self.disc_count = int(_dict["DiscCount"])
        self.disc_num = int(_dict["DiscNum"])
        self.album_art = unicode(_dict["AlbumArt"])
        self.tags = unicode(_dict["Tags"])
        return
