class DbEnums:
    V_TITLE, T_TITLE, W_TITLE = 0, 'title', 10
    V_ALBUM, T_ALBUM, W_ALBUM = 1, 'album', 10
    V_ARTIST, T_ARTIST, W_ARTIST = 2, 'artist', 10
    V_AARTIST, T_AARTIST, W_AARTIST = 3, 'ensemble', 10
    V_DATE, T_DATE, W_DATE = 4, 'date', 1
    V_TRACKNUM, T_TRACKNUM, W_TRACKNUM = 5, 'tracknumber', 0
    V_TAGS, T_TAGS, W_TAGS = 6, 'tags', 3

    V_SORTING = 8
    V_DURATION_FSTR = 9
    V_LIKE, T_LIKE, T_DISLIKE = 11, 'LKDlike', 'LKDhate'


class Keys:
    TERMS = (
        DbEnums.T_TITLE, DbEnums.T_ALBUM, DbEnums.T_ARTIST,
        DbEnums.T_AARTIST, DbEnums.T_DATE, DbEnums.T_TRACKNUM, 
        DbEnums.T_TAGS)
    VALUES = (
        DbEnums.V_TITLE, DbEnums.V_ALBUM, DbEnums.V_ARTIST,
        DbEnums.V_AARTIST, DbEnums.V_DATE, DbEnums.V_TRACKNUM,
        DbEnums.V_TAGS)
    WEIGHTS = (
        DbEnums.W_TITLE, DbEnums.W_ALBUM, DbEnums.W_ARTIST,
        DbEnums.W_AARTIST, DbEnums.W_DATE, DbEnums.W_TRACKNUM,
        DbEnums.W_TAGS)


class Mappings:
    GENERIC = dict(list(zip(Keys.TERMS, Keys.TERMS)))
    ID3 = dict(list(zip(Keys.TERMS, ('TIT2', 'TALB',
        'TPE1', 'TPE3', 'TDRC', 'TRCK', 'TCON'))))
    ASF = dict(list(zip(Keys.TERMS, ('Title', 'WM/AlbumTitle',
        'WM/AlbumArtist', 'WM/AlbumArtist', 'WM/Year', 
        'WM/TrackNumber', 'WM/Genre'))))
    MP4 = dict(list(zip(Keys.TERMS, ('\xa9nam', '\xa9alb',
        '\xa9ART', 'aART', '\xa9day', 'trkn', '\xa9gen'))))


term2value = dict(list(zip(Keys.TERMS, Keys.VALUES)))
term2weight = dict(list(zip(Keys.TERMS, Keys.WEIGHTS)))


class Extensions:
    MP3 = ".mp3"
    FLAC = ".flac"
    OGG = ".ogg"
    ASF = ".asf"
    WMA = ".wma"
    WAV = ".wav"
    AAC = ".aac"
    M4A = ".m4a"
    MP4 = ".mp4"


    VALID = (MP3, FLAC, OGG, ASF, WMA, WAV, AAC, M4A, MP4)
