import QtQuick 1.1


Rectangle {
    property color baseColor: activePalette.mid
    property string text: ""
    property real highlightFactor: 1.1667

    radius: 6
    color: Qt.darker(baseColor, 1.2)
    border.width: 1
    border.color: Qt.darker(baseColor, 1.3)

    implicitWidth: Math.max(16, children[0].paintedWidth + 6)
    implicitHeight: children[0].paintedHeight + 1

    Text {
        color: Qt.lighter(baseColor, parent.highlightFactor)
        horizontalAlignment: Text.AlignHCenter
        text: parent.text
        style: Text.Raised
        styleColor: Qt.darker(baseColor, 1.6)
        font.bold: true
        font.pixelSize: 10
        anchors.verticalCenter: parent.verticalCenter
        x: (parent.width - paintedWidth) / 2 + (text == "1" ? 1 : 2)
    }
}
