import QtQuick 1.1
import QtDesktop 0.1


Rectangle {

    color: "#D1C7BC"
    visible: opacity > 0.0
    Behavior on opacity { PropertyAnimation {duration: 500} }

    TextLabel {
        id: title

        anchors.top: parent.top
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.leftMargin: 12
        anchors.topMargin: 12

        text: '<font size="20" color="#919090"><b>Audio CD<br>information lookup</b><br></font><br>Manually edit track information or use the Musicbrainz service to discover the release information.'
        style: Text.Raised
        styleColor: "#FFFDFD"

        wrapMode: Text.WordWrap
    }

    Column {
        id: mbSearchRow
        anchors.top: title.bottom
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.topMargin: 36
        anchors.leftMargin: 12
        anchors.rightMargin: 12

        spacing: 12

        TextField {
            id: mbArtistSearch
            placeholderText: "Artist"
            width: parent.width
            text: Metadata.editor.artist
        }

        TextField {
            id: mbAlbumSearch
            placeholderText: "Album"
            width: parent.width
            text: Metadata.editor.album
        }

        Row {
            property int discCount: Metadata.editor.disc_count

            opacity: discCount > 1
            spacing: 6

            TextLabel {
                anchors.verticalCenter: parent.verticalCenter
                text: "This is a <i>DualDisc</i> release.  Which disc do you currently have loaded?"
            }

            ComboBox {
                model: ListModel {
                    id: menuItems

                    ListElement { text: "Disc 1" }
                    ListElement { text: "Disc 2" }
                }

                id: mbDiscNSearch
                width: 80

                onSelectedIndexChanged: {
                    Metadata.editor.set_disc(selectedIndex)
                }
            }
        }

        Button {
            text: "Search MusicBrainz"
            x: mbAlbumSearch.x
            height: mbArtistSearch.height

            onClicked: {
                Metadata.editor.release_lookup(
                    mbAlbumSearch.text, mbArtistSearch.text,
                    mbDiscNSearch.selectedIndex)
            }
        }
    }
}
