import QtQuick 1.1
import QtDesktop 0.1


TextField {
    id: field

    property alias title: _title.text

    onActiveFocusChanged: {
        console.log(field, "focus", activeFocus)
    }

    anchors.left: parent.left
    anchors.right: parent.right

    function get_changes() {
        return text
    }

    Text {
        id: _title

        color: Qt.darker(activePalette.mid, 1.6)
        text: field.title
        style: Text.Raised
        styleColor: Qt.lighter(activePalette.mid, 1.1667)
        font.bold: true

        anchors.verticalCenter: parent.verticalCenter
        anchors.right: parent.right
        anchors.rightMargin: 10
    }

    ListViewButton {
        id: saveAll

        anchors.left: parent.right
        anchors.leftMargin: 3
        anchors.verticalCenter: parent.verticalCenter
 
        label: "Save All"
        //font.family: "TotallyWired"

        radius: height/2
        visible: (metadata != undefined && metadata.multi_select)

        onClicked: {
            if (field.text != data) {
                metadata.field_save_changes_to_selection(
                    field.objectName, field.text)
            }
        }
    }
}
