import QtQuick 1.1


Rectangle {
    id: separator

    x: 250
    width: 4
    color: activePalette.window

    MouseArea {
        id: events
        anchors.fill: parent
        anchors.leftMargin: -3
        anchors.rightMargin: -3
        hoverEnabled: true
        drag.target: separator
        drag.axis: Drag.XAxis
        drag.minimumX: 100
        drag.maximumX: separator.parent.width - 100

        onContainsMouseChanged: {
            Utils.set_cursor(containsMouse || drag.active ? "hsplit" : "")
        }
    }

    Image {
        source: "../../../data/art/dropshadow-west-superslim.png"
        anchors.right: parent.left
        anchors.top: parent.top
        height: parent.height
    }

    Image {
        source: "../../../data/art/dropshadow-east-superslim.png"
        anchors.left: parent.right
        anchors.top: parent.top
        height: parent.height
    }
}
