import QtQuick 1.1
import QtDesktop 0.1


FocusScope {
    id: button

    property alias icon: image.source
    property alias checked: _button.checked

    property int verticalPadding: 2
    property int horizontalPadding: 4
    property int naturalWidth: image.sourceSize.width + 2 * horizontalPadding
    property int naturalHeight: image.sourceSize.height + 2 * verticalPadding
    property string hint: "normal"

    signal clicked

    width: naturalWidth
    height: naturalHeight

    Item {
        id: bg

        clip: true
        anchors.fill: parent

        Button {
            id: _button

            x: {
                if (hint == "end" || hint == "internal") {
                    return parent.x - 20
                }
                else
                    return parent.x
            }

            y: parent.y

            width: {
                if (hint == "normal")
                    return parent.width
                else if (hint == "start" || hint == "end")
                    return parent.width + 20
                else if (hint == "internal")
                    return parent.width + 40
            }

            height: parent.height

            onClicked: {
                button.clicked()
            }
        }

        Image {
            id: image
            anchors.verticalCenter: parent.verticalCenter
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.verticalCenterOffset: 1
        }
    }
}
