import QtQuick 1.1
import QtDesktop 0.1


Item {
    height: 3 * em

    Row {
        anchors.left: parent.left
        height: mbSave.height

        LabelButton {
            id: back

            horizontalPadding: 12
            font.family: "TotallyWired"
            label: "c"
            hint: "start"

            height: parent.height

            onClicked: metadata.request_previous()
        }

        Rectangle {
            // separator
            anchors.top: parent.top
            anchors.bottom: parent.bottom
            anchors.margins: 1
            width: 1

            color: Qt.darker(activePalette.mid, 1.15)
        }

        LabelButton {
            id: forward

            horizontalPadding: 12
            font.family: "TotallyWired"
            label: "d"
            hint: "end"

            height: parent.height

            onClicked: metadata.request_next()
        }
    }

    Row {
        spacing: 4
        anchors.right: parent.right

        Button {
            id: mbSave
            text: "Save"

            onClicked: {
                metadata.save_changes()
            }
        }

        Button {
            id: mbDone
            text: "Back to Library"

            onClicked: {
                editor.close()  // emit signal
            }
        }
    }
}
