import QtQuick 1.1
import QtDesktop 0.1


Column {
    id: dataCol

    spacing: 6

    TextField {
        id: title
        objectName: "title"

        function get_changes() {
            return text
        }

        anchors.left: parent.left
        anchors.right: parent.right
        placeholderText: "Unknown"
        text: metaExists() ? metadata.title : ""

        Text {
            color: Qt.darker(activePalette.mid, 1.6)
            text: "<small>TRACK NAME</small>"
            style: Text.Raised
            styleColor: Qt.lighter(activePalette.mid, 1.1667)
            font.bold: true
            anchors.verticalCenter: parent.verticalCenter
            anchors.right: parent.right
            anchors.rightMargin: 10
        }
    }

    CommonFieldTextEntry {
        objectName: "ensemble"
        title: "<small>ALBUM ARTIST</small>"
        placeholderText: "Unknown"
        text: metadata != null ? metadata.aartist : ""
    }

    CommonFieldTextEntry {
        objectName: "artist"
        title: "<small>RECORDING ARTIST</small>"
        placeholderText: "Unknown"
        text: metadata != null ? metadata.artist : ""
    }

    CommonFieldTextEntry {
        objectName: "album"
        title: "<small>ALBUM</small>"
        placeholderText: "Unknown"
        text: metadata != null ? metadata.album : ""
    }

    CommonFieldTextEntry {
        objectName: "tags"
        title: "<small>TAGS</small>"
        placeholderText: "No tags"
        text: metadata != null ? metadata.tags : ""
    }

    Row {
        anchors.left: parent.left
        anchors.right: parent.right
        spacing: 6

        TextField {
            id: date
            objectName: "date"

            function get_changes() {
                return text
            }

            width: (parent.width - 6) / 2
            placeholderText: "Unknown"
            text: metaExists() ? metadata.date : ""

            Text {
                color: Qt.darker(activePalette.mid, 1.6)
                text: "<small>RELEASE DATE</small>"
                style: Text.Raised
                styleColor: Qt.lighter(activePalette.mid, 1.1667)
                font.bold: true
                anchors.verticalCenter: parent.verticalCenter
                anchors.right: parent.right
                anchors.rightMargin: 10
            }
        }

        TextField {
            id: trackn
            objectName: "tracknumber"

            function get_changes() {
                return text
            }

            width: (parent.width - 6) / 2
            placeholderText: "No track number"
            text: metaExists() ? metadata.trackn : ""

            Text {
                color: Qt.darker(activePalette.mid, 1.6)
                text: "<small>TRACK NUMBER</small>"
                style: Text.Raised
                styleColor: Qt.lighter(activePalette.mid, 1.1667)
                font.bold: true
                anchors.verticalCenter: parent.verticalCenter
                anchors.right: parent.right
                anchors.rightMargin: 10
            }
        }
    }
}
