import QtQuick 1.1


Item {
    id: info

    property bool trackLoaded: !Player.is_stopped

    clip: true
    anchors.margins: 4
    height: trackLoaded ? albumArtist.y + albumArtist.height : title.y + title.height

    Behavior on height { PropertyAnimation {duration: 300} }

    onWidthChanged: scroller.update()

    Text {
        id: title
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: parent.top
        anchors.topMargin: 3
        font.pointSize: 10
        color: activePalette.text
        text: trackLoaded ? Player.current_track_title : ""
        style: Text.Raised
        styleColor: Qt.rgba(1,1,1,0.5)
    }

    Text {
        id: albumArtist
        anchors.topMargin: 3
        anchors.top: title.bottom

        font.pointSize: 8
        text: Player.current_album_info
        visible: trackLoaded
        color: "#525252"
        style: Text.Raised
        styleColor: Qt.rgba(1,1,1,0.5)

        onTextChanged: scroller.update()

        TextScroller {
            id: scroller
            text: albumArtist
        }
    }

    MouseArea {
        anchors.fill: parent

        onClicked: {
            if (opacity >= 1) {
                var i = library.listview.currentStreamIndex
                library.listview.forceActiveFocus()
                Collection.update_selection(i, 0)
                library.listview.positionViewAtIndex(i, ListView.Center)
                currentView = "lobby"
            }
        }
    }
}
