import QtQuick 1.1

Item {
    property alias entry: ti
    property alias text: ti.text

    implicitWidth: ti.width
    implicitHeight: ti.height

    Rectangle {
        id: bg

        radius: 2
        color: Qt.rgba(1,1,1,0.4)
        opacity: ti.activeFocus ? 1 : 0
        Behavior on opacity { PropertyAnimation {duration: 300} }

        height: ti.implicitHeight + 4
        width: ti.width + 6
        anchors.centerIn: ti
    }

    TextInput {
        id: ti
        selectByMouse: true
        anchors.left: parent.left
        anchors.top: parent.top

        width: Math.max(50, children[0].paintedWidth + 10)

        text: "Unknown"
        color: activePalette.text

        Text {
            visible: false
            text: parent.text
            font.pointSize: parent.font.pointSize
            font.bold: parent.font.bold
        }
    }
}
