import QtQuick 1.1

Item {
    property bool movingLeft: true
    property alias text: animation.target

    function update() {
        if (text.paintedWidth > text.parent.width) {
            animation.restart()
            timer.restart()
            text.x = 0
            movingLeft = true
        }
        else {
            timer.stop()
            animation.stop()
            text.x = (text.parent.width - text.paintedWidth) / 2
        }
    }

    function moveText() {
        if (movingLeft) {
            animation.to = text.parent.width - text.paintedWidth
            animation.restart()
            movingLeft = false
        }
        else {
            animation.to = 0
            animation.restart()
            movingLeft = true
        }
    }

    NumberAnimation {
        id: animation
        property: "x"
        duration: 9000
        easing.type: Easing.InOutSine
    }

    Timer {
        id: timer
        interval: 12000
        repeat: true
        onTriggered: moveText()
    }
}
