import os
import os.path

class Caches:
    TEMP = '/tmp/tw'
    PERSISTENT = os.path.join(os.path.expanduser("~"), ".cache", "tw")
    XAPIAN = os.path.join(PERSISTENT, "xapian")
    CDDA = os.path.join(XAPIAN, "cdda")
    RADIO = os.path.join(PERSISTENT, "radio")
    ALBUMART = os.path.join(PERSISTENT, "albumart")
    BIOS = os.path.join(PERSISTENT, "bios")
    ERRORS = os.path.join(PERSISTENT, "errors")


def init_caching():
    # make a short term cache for album art and the like
    if not os.path.exists(Caches.TEMP):
        os.mkdir(Caches.TEMP)
    # make a longer term cache for wiki articles and the like
    if not os.path.exists(Caches.PERSISTENT):
        os.mkdir(Caches.PERSISTENT)
    if not os.path.exists(Caches.XAPIAN):
        os.mkdir(Caches.XAPIAN)
    if not os.path.exists(Caches.CDDA):
        os.mkdir(Caches.CDDA)
    if not os.path.exists(Caches.RADIO):
        os.mkdir(Caches.RADIO)
    if not os.path.exists(Caches.ALBUMART):
        os.mkdir(Caches.ALBUMART)
    if not os.path.exists(Caches.BIOS):
        os.mkdir(Caches.BIOS)
    if not os.path.exists(Caches.ERRORS):
        os.mkdir(Caches.ERRORS)

    radiof = os.path.join(Caches.RADIO, "radio.json")
    if not os.path.exists(radiof):
        with open(radiof, "w") as f:
            f.write("""[{"uri": "http://www.radionz.co.nz/audio/live/national/adaptive.asx", "name": "Radio New Zealand", "favicon": "/home/matthew/.cache/tw/radio/www.radionz.co.nz"}, {"favicon": "/home/matthew/.cache/tw/radio/www.basefm.co.nz", "uri": "http://www.basefm.co.nz/base09/listenstream/basehi.m3u", "name": "BASE FM 107.3"}, {"uri": "http://www.bbc.co.uk/worldservice/meta/tx/nb/live/eneuk.pls", "name": "BBC", "favicon": "/home/matthew/.cache/tw/radio/www.bbc.co.uk"}, {"favicon": "/home/matthew/.cache/tw/radio/www.95bfm.com", "uri": "http://www.95bfm.com/bfm128.m3u", "name": "95bFM | Alternative Radio Station in Auckland, New Zealand | NZ Music"}]""")
    return
