import os
import shlex
import string
import subprocess


_BOLD = "\033[1m"
_RESET = "\033[0;0m"
_BLUE = '\033[94m'

# _cwd
if os.getcwd().startswith("/home"):
    _cwd = string.join(__file__.split(os.sep)[:-3], os.sep)
print(_cwd)


def start_indexer_service():
    service = shlex.split(os.path.join(_cwd, 'database-service2'))
    process = subprocess.Popen(
        service,
        stdout=subprocess.PIPE,
        stderr=subprocess.PIPE)
    print(_BOLD + _BLUE + 'Starting XCollectionManagerService...' + _RESET)
    print('PID:%s FILE:%s' % (process.pid, service[0]))
    return

def start_player_service():
    service = shlex.split(os.path.join(_cwd, 'musicplayer-service'))
    process = subprocess.Popen(
        service,
        stdout=subprocess.PIPE,
        stderr=subprocess.PIPE)
    print(_BOLD + _BLUE + 'Starting MusicPlayerService...' + _RESET)
    print('PID:%s FILE:%s' % (process.pid, service[0]))
    return

def start_all_services():
    procs = []
    service = shlex.split(os.path.join(_cwd, 'database-service2'))
    process = subprocess.Popen(
        service,
        stdout=subprocess.PIPE,
        stderr=subprocess.PIPE)
    procs.append(process)
    print(_BOLD + _BLUE + 'Starting XCollectionManagerService...' + _RESET)
    print('PID:%s FILE:%s' % (process.pid, service[0]))

    service = shlex.split(os.path.join(_cwd, 'musicplayer-service'))
    process = subprocess.Popen(
        service,
        stdout=subprocess.PIPE,
        stderr=subprocess.PIPE)
    procs.append(process)
    print(_BOLD + _BLUE + 'Starting MusicPlayerService...' + _RESET)
    print('PID:%s FILE:%s' % (process.pid, service[0]))
    print()
    return procs

def check_tw_services_are_running(bus):
    if not bus.name_has_owner('org.tw.MusicPlayerService'):
        start_player_service()
    if not bus.name_has_owner('org.tw.XCollectionManagerService'):
        start_indexer_service()
    return

def quit_services(bus=None, keep_alive=[]):
    if bus is None:
        import dbus
        bus = dbus.SessionBus()

    services = set(('XCollectionManagerService', 'MusicPlayerService')) - set(keep_alive)

    i = 0
    for service in services:
        try:
            remote_object = bus.get_object(
                'org.tw.%s' % service, '/%s' % service)
            remote_object.quit()
        except dbus.DBusException:
            continue
        i += 1

    if i > 0:
        print((_BOLD + _BLUE + 'All (%i) services quit...' + _RESET) % i)
    else:
        print(_BOLD + _BLUE + 'No existing services to kill' + _RESET)
    return
