#!/usr/bin/python

# copy font to ~/.font & rebuild font cache
import os
import os.path
import shutil

from totallywired.utils.caching import Caches


TW_FONT_NAME = "totallywired_font.ttf"

# check if .font dir exists, if not mkdir
if not os.path.exists(Caches.PERSISTENT):
    print("Xapian base dir does not exist.  Creating %s..." % Caches.PERSISTENT)
    os.mkdir(Caches.PERSISTENT)
fontdir = os.path.expanduser(os.path.join("~", ".fonts"))
if not os.path.exists(fontdir):
    print("Font directory does not exist.  Creating %s..." % fontdir)
    os.mkdir(fontdir)

# check if font file exists, rm it, then copy fresh from data dir
src_file = os.path.join(os.path.split(__file__)[0], "data/art/fonts/%s" % TW_FONT_NAME)
dst_file = os.path.join(fontdir, TW_FONT_NAME)
if os.path.exists(dst_file):
    print("An existsing copy of 'totallywired_font.ttf' exists.  Removing...")
    os.remove(dst_file)

print("Copying fresh file over from data dir...")
shutil.copy2(src_file, dst_file)
print("Done!")

print("Rebuilding font cache (sudo fc-cache -f -v)...")
os.system("sudo fc-cache -f -v")


print("\n\nAll done!\n")
